# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Geo/Constants.pm) perl(Geo/Ellipsoids.pm) perl(Geo/Functions.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.16
%define module_name Geo-Spline
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: Calculate geographic locations between GPS fixes.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MR/MRDVT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This program was developed to be able to calculate the position between two GPS fixes using a 2-dimensional 3rd order polynomial spline..
  f(t)  = A + B(t-t0)  + C(t-t0)^2 + D(t-t0)^3 #position in X and Y
  f'(t) = B + 2C(t-t0) + 3D(t-t0)^2            #velocity in X and Y

I did some simple Math (for an engineer with a math minor) to come up with these formulas to calculate the unknowns from our knowns.

  A = x0                                     # when (t-t0)=0 in f(t)
  B = v0                                     # when (t-t0)=0 in f'(t)
  C = (x1-A-B(t1-t0)-D(t1-t0)^3)/(t1-t0)^2   # solve for C from f(t)
  C = (v1-B-3D(t1-t0)^2)/2(t1-t0)            # solve for C from f'(t)
  D = (v1(t1-t0)+B(t1-t0)-2x1+2A)/(t1-t0)^3  # equate C=C then solve for D

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE CHANGES README doc
%perl_vendor_privlib/G*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- initial import by package builder

